/**
 * # Willkommen bei Code TicTacToe
 *
 * Dieses Programm wurde ausschliesslich mit Java programmiert.
 * Dieser TicTacToe hat die Besonderheit, dass diese nur durch das Coden im Programm
 * das Spiel gespielt werden kann.
 *
 * ## Installation und Setup:
 *
 * Um das Spiel spielen zu können, benötigen Sie die openJDK version 11.
 * Dieses Packet installiert eine sogenannte Runtime, die für ein Java Programm
 * wie dieses benötigt, um es laufen lassen zu können.
 *
 * Bevorzugt wird die IDE IntelliJ, da mit dieser Entwicklungsumgebung das Programm
 * programmiert worden ist und alle Voraussetzungen bereits
 *
 */
public class TicTacToe {

    /**
     * ## Die Bedienung:
     *
     * Um das TicTacToe spielen zu können, müssen Sie folgende Befehle eingeben:
     * g.placeField( Hier das gewünschte Feld als Zahl )
     *
     * Um die Sprache im Spiel zu wechseln, geben Sie folgendes Befehl ein:
     * g.changeLanguage("de");
     *
     * Um ein neues Spiel starten zu können, initialisieren Sie eine
     * neue Klasse mit folgendem Befehl:
     * Game g = new Game();
     */
    public static void main(String[] args) {

        // Es wurde nun ein Spiel simuliert, wo es zu einem Sieg von Spieler 1 kommt.
        // Weitere vorbereitete Simulationen finden Sie auch in der Klasse GameTest.
        Game game = new Game();
        game.placeField(1);
        game.placeField(2);
        game.placeField(4);
        game.placeField(3);
        game.placeField(7);

    }
}
